summaryrefslogtreecommitdiffstats
path: root/desktop/picom
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/picom')
-rw-r--r--desktop/picom/README6
-rw-r--r--desktop/picom/doinst.sh9
-rw-r--r--desktop/picom/picom.SlackBuild105
-rw-r--r--desktop/picom/picom.info10
-rw-r--r--desktop/picom/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/desktop/picom/README b/desktop/picom/README
new file mode 100644
index 0000000000..a32a53c5af
--- /dev/null
+++ b/desktop/picom/README
@@ -0,0 +1,6 @@
+Picom is a compositor for X, and a fork of compton (stuff will
+retain the original name inside the package).
+
+Out of frustration with the low count of standalone lightweight
+compositors, picom was forked from Dana Jansens' fork of xcompmgr
+and refactored. Bugs were fixed and features were added.
diff --git a/desktop/picom/doinst.sh b/desktop/picom/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/picom/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/picom/picom.SlackBuild b/desktop/picom/picom.SlackBuild
new file mode 100644
index 0000000000..d3b0b5b1e6
--- /dev/null
+++ b/desktop/picom/picom.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for picom
+
+# Copyright 2020 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=picom
+VERSION=${VERSION:-8.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+meson build . -D build_docs=true -D b_ndebug=true --prefix=/usr
+"${NINJA:=ninja}"
+DESTDIR=$PKG $NINJA -C build install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -D -m 0644 $PRGNAM.sample.conf $PKG/etc/$PRGNAM.conf
+install -D -m 0644 $PRGNAM-dbus.desktop $PKG/usr/share/applications/$PRGNAM-dbus.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ desc.txt dbus-examples $PRGNAM.sample.conf COPYING LICENSES \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/picom/picom.info b/desktop/picom/picom.info
new file mode 100644
index 0000000000..780f08e9e3
--- /dev/null
+++ b/desktop/picom/picom.info
@@ -0,0 +1,10 @@
+PRGNAM="picom"
+VERSION="8.2"
+HOMEPAGE="https://github.com/yshui/picom/"
+DOWNLOAD="https://github.com/yshui/picom/archive/v8.2/picom-8.2.tar.gz"
+MD5SUM="f27ecdf8e13388a021659e38d1dae899"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libconfig libev libxdg-basedir setconf uthash"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/desktop/picom/slack-desc b/desktop/picom/slack-desc
new file mode 100644
index 0000000000..a996bb5019
--- /dev/null
+++ b/desktop/picom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+picom: picom (X compositor)
+picom:
+picom: Picom is a compositor for X, and a fork of compton.
+picom:
+picom: homepage: https://github.com/yshui/picom/
+picom:
+picom:
+picom:
+picom:
+picom:
+picom: